# ScalaDocOptions

abstract class ScalaDocOptions : Serializable

Options for the ScalaDoc tool.

## Constructors

ScalaDocOptions
Link copied to clipboard
constructor()

## Properties

additionalParameters
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var additionalParameters: List<String>
bottom
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var bottom: String
docTitle
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var docTitle: String
footer
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var footer: String
header
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var header: String
top
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var top: String
windowTitle
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var windowTitle: String

## Functions

isDeprecation
Link copied to clipboard
@Input
open fun isDeprecation(): Boolean
Tells whether to generate deprecation information.
isUnchecked
Link copied to clipboard
@Input
open fun isUnchecked(): Boolean
Tells whether to generate unchecked information.
setDeprecation
Link copied to clipboard
open fun setDeprecation(deprecation: Boolean)
Sets whether to generate deprecation information.
setUnchecked
Link copied to clipboard
open fun setUnchecked(unchecked: Boolean)
Sets whether to generate unchecked information.